Skip to content

Fund a batch group via direct debit

Request

Funds all transfers in a batch group via direct debit. The batch group must be in the COMPLETED state.

To use this funding method, you need to link an external bank account first. See direct debit account creation for more information.

This endpoint is SCA protected when it applies. If your profile is registered within the UK and/or EEA, SCA most likely applies to you. For more information, please read implementing SCA.

Security
UserToken
Path
profileIdinteger, (int64)required

The ID of the profile that the batch group is associated with.

Example:12345678
batchGroupIdstring, (uuid)required

The batch group ID.

Example:54a6bc09-cef9-49a8-9041-f1f0c654cd88
Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
typestringrequired

The method of payment to use.

Value:"DIRECT_DEBIT"
Example:"DIRECT_DEBIT"
accountIdinteger, (int64)required

Direct debit account ID. See direct debit account creation.

Example:1
referencestring

Optional payment initiation reference. Maximum 10 characters. If not provided, a reference will be generated automatically.

Example:"B1234567"
curl -i -X POST \
  https://api.wise.com/v1/profiles/12345678/batch-groups/54a6bc09-cef9-49a8-9041-f1f0c654cd88/payment-initiations \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "type": "DIRECT_DEBIT",
    "accountId": 1,
    "reference": "B1234567"
  }'

Responses

Payment initiation created successfully. You need to save payment initiation ID for tracking its status later.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
idinteger, (int64)

Payment initiation ID.

Example:12345
batchGroupIdstring, (uuid)

Batch group ID.

Example:"068e186d-9632-4937-b753-af3e53f4d0b0"
referencestring

Payment reference that will be passed to the network. Can be used for reconciliation.

Example:"B1234567"
userIdinteger, (int64)

The ID of the user who initiated this payment.

Example:33333333
profileIdinteger, (int64)

The ID of the profile this payment belongs to.

Example:44444444
typestring

Payment type.

Value:"DIRECT_DEBIT"
Example:"DIRECT_DEBIT"
statusstring

Payment initiation status:

  • NEW — Payment initiation created
  • PROCESSING — Payment is being processed
  • COMPLETED — Payment completed successfully
  • FAILED — Payment failed
  • CHARGED_BACK — Payment was charged back
Enum:"NEW""PROCESSING""COMPLETED""FAILED""CHARGED_BACK"
Example:"NEW"
accountIdinteger, (int64)

External account ID associated with the payment.

Example:1
transferIdinteger or null, (int64)

Transfer ID of the direct debit payment. Present only after the direct debit is initiated.

Example:null
createdTimestring, (date-time)

Date and time when the payment initiation was created.

Example:"2022-01-01T19:51:41.423404Z"
Response
{ "id": 12345, "batchGroupId": "068e186d-9632-4937-b753-af3e53f4d0b0", "reference": "B1234567", "userId": 33333333, "profileId": 44444444, "type": "DIRECT_DEBIT", "status": "NEW", "accountId": 1, "transferId": null, "createdTime": "2022-01-01T19:51:41.423404Z" }